<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/related_content_panel"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical" >

    <LinearLayout
        android:id="@+id/ll_parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="@drawable/operation_content_panel_frame"
        android:orientation="vertical"
        android:paddingBottom="5dp"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:paddingTop="5dp">

        <RelativeLayout
            android:id="@+id/content_info_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="3dp"
            android:layout_marginTop="3dp"
            android:orientation="horizontal"
            android:weightSum="1">

            <TextView
                android:id="@+id/content_id"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:paddingLeft="4dp"
                android:ellipsize="end"
                android:text="@string/dummy_num"
                android:textColor="@color/edt_text"
                android:textSize="15sp" />

            <TextView
                android:id="@+id/last_delivery_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:paddingRight="5dp"
                android:text="@string/dummy_date"
                android:textColor="@color/edt_text"
                android:textSize="15sp" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/content_name_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="3dp"
            android:layout_marginTop="3dp"
            android:layout_weight="2"
            android:orientation="horizontal"
            android:weightSum="1">

            <TextView
                android:id="@+id/new_content_mark"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:background="@color/operation_related_content_new_mark"
                android:paddingLeft="4dp"
                android:paddingRight="4dp"
                android:text="@string/new_content"
                android:textColor="@color/basic_white1"
                android:textSize="15sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/content_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/new_content_mark"
                android:ellipsize="end"
                android:paddingLeft="5dp"
                android:singleLine="true"
                android:text="@string/dummy_str"
                android:textColor="@color/edt_text"
                android:textSize="15sp"
                android:textStyle="bold" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="5dp">

            <FrameLayout
                android:id="@+id/thumbnail_layout"
                android:layout_width="@dimen/content_panel_image_size_width"
                android:layout_height="@dimen/content_panel_image_size_height"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="false"
                android:layout_gravity="top"
                android:layout_marginBottom="10dp"
                android:layout_marginRight="10dp"
                android:layout_weight="1">

                <RelativeLayout
                    android:id="@+id/content_thumbnail_layout"
                    android:layout_width="@dimen/content_panel_image_size_width"
                    android:layout_height="@dimen/content_panel_image_size_height"
                    android:layout_gravity="top|center">

                    <FrameLayout
                        android:id="@+id/imageframe"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentTop="true"
                        android:background="@drawable/thumbnail_border"
                        android:padding="1px">

                        <jp.agentec.abook.abv.ui.common.view.ABVThumbnailImageView
                            android:id="@+id/content_thumbnail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/content_description"
                            android:src="@drawable/no_image" />
                    </FrameLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ProgressBar
                            android:id="@+id/content_download_progress"
                            style="?android:attr/progressBarStyleHorizontal"
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:layout_marginBottom="15dp"
                            android:gravity="center"
                            android:max="120" />
                    </LinearLayout>

                </RelativeLayout>
            </FrameLayout>

            <LinearLayout
                android:id="@+id/operation_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/thumbnail_layout"
                android:layout_weight="1"
                android:background="@color/basic_white1"
                android:orientation="vertical"
                android:visibility="visible">

                <Button
                    android:id="@+id/save_content"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/save" />

                <Button
                    android:id="@+id/pause_save"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/pause"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/restart_save"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/restart"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/open_content"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/open"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/delete_content"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="18dp"
                    android:background="@drawable/operation_radius_frame_white"
                    android:text="@string/delete"
                    android:textColor="@color/app_color"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/cancel_save"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="18dp"
                    android:background="@drawable/operation_radius_frame_white"
                    android:text="@string/cancel"
                    android:textColor="@color/app_color"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/update_content"
                    android:layout_width="125dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="18dp"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/content_update"
                    android:visibility="gone" />

            </LinearLayout>

        </RelativeLayout>


    </LinearLayout>

</LinearLayout>